/*******************************************************************************
* File Name: PeriodISR.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_PeriodISR_H)
#define CY_ISR_PeriodISR_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void PeriodISR_Start(void);
void PeriodISR_StartEx(cyisraddress address);
void PeriodISR_Stop(void);

CY_ISR_PROTO(PeriodISR_Interrupt);

void PeriodISR_SetVector(cyisraddress address);
cyisraddress PeriodISR_GetVector(void);

void PeriodISR_SetPriority(uint8 priority);
uint8 PeriodISR_GetPriority(void);

void PeriodISR_Enable(void);
uint8 PeriodISR_GetState(void);
void PeriodISR_Disable(void);

void PeriodISR_SetPending(void);
void PeriodISR_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the PeriodISR ISR. */
#define PeriodISR_INTC_VECTOR            ((reg32 *) PeriodISR__INTC_VECT)

/* Address of the PeriodISR ISR priority. */
#define PeriodISR_INTC_PRIOR             ((reg8 *) PeriodISR__INTC_PRIOR_REG)

/* Priority of the PeriodISR interrupt. */
#define PeriodISR_INTC_PRIOR_NUMBER      PeriodISR__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable PeriodISR interrupt. */
#define PeriodISR_INTC_SET_EN            ((reg32 *) PeriodISR__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the PeriodISR interrupt. */
#define PeriodISR_INTC_CLR_EN            ((reg32 *) PeriodISR__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the PeriodISR interrupt state to pending. */
#define PeriodISR_INTC_SET_PD            ((reg32 *) PeriodISR__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the PeriodISR interrupt. */
#define PeriodISR_INTC_CLR_PD            ((reg32 *) PeriodISR__INTC_CLR_PD_REG)


#endif /* CY_ISR_PeriodISR_H */


/* [] END OF FILE */
