/*******************************************************************************
* File Name: PulsehitimeISR.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2012, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_PulsehitimeISR_H)
#define CY_ISR_PulsehitimeISR_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void PulsehitimeISR_Start(void);
void PulsehitimeISR_StartEx(cyisraddress address);
void PulsehitimeISR_Stop(void);

CY_ISR_PROTO(PulsehitimeISR_Interrupt);

void PulsehitimeISR_SetVector(cyisraddress address);
cyisraddress PulsehitimeISR_GetVector(void);

void PulsehitimeISR_SetPriority(uint8 priority);
uint8 PulsehitimeISR_GetPriority(void);

void PulsehitimeISR_Enable(void);
uint8 PulsehitimeISR_GetState(void);
void PulsehitimeISR_Disable(void);

void PulsehitimeISR_SetPending(void);
void PulsehitimeISR_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the PulsehitimeISR ISR. */
#define PulsehitimeISR_INTC_VECTOR            ((reg32 *) PulsehitimeISR__INTC_VECT)

/* Address of the PulsehitimeISR ISR priority. */
#define PulsehitimeISR_INTC_PRIOR             ((reg8 *) PulsehitimeISR__INTC_PRIOR_REG)

/* Priority of the PulsehitimeISR interrupt. */
#define PulsehitimeISR_INTC_PRIOR_NUMBER      PulsehitimeISR__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable PulsehitimeISR interrupt. */
#define PulsehitimeISR_INTC_SET_EN            ((reg32 *) PulsehitimeISR__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the PulsehitimeISR interrupt. */
#define PulsehitimeISR_INTC_CLR_EN            ((reg32 *) PulsehitimeISR__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the PulsehitimeISR interrupt state to pending. */
#define PulsehitimeISR_INTC_SET_PD            ((reg32 *) PulsehitimeISR__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the PulsehitimeISR interrupt. */
#define PulsehitimeISR_INTC_CLR_PD            ((reg32 *) PulsehitimeISR__INTC_CLR_PD_REG)


#endif /* CY_ISR_PulsehitimeISR_H */


/* [] END OF FILE */
