/* ========================================
 *	PWM_Mesurement

 * Copyright EFG-KG, 2014
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * initial Version (V0.1)programmed by Danaa Knight of Cypress.
 * further code development by Markus Hoelzl of EFG-KG.
 *
 * most recent Version: 14.05.2014
 * Version: 0.1.1
 *
 * For use with Cypress CY8CKit-050LP; PSoC5LP in 5Volt mode.
 * Coding done with Cypress Creator 3.0 SP1.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF EFG-KG.
 *
 * Pinout:
 * 2x16 LCD on port  P2_0..6
 * PWM-Signal input  P0_5
 * Testsignal output P0-7
 *
 * Version history:
 * V 0.1
 * basic Component setup and functionality.
 * V 0.1.1
 * changed device to CY8C5868AXI-LP035, changed pinout.
 * enabled floating_point printf function (-u _printf_float).
 * ========================================
*/
#include <project.h>
#include <stdio.h>
#include <stdlib.h>
#include <cytypes.h>

volatile uint16 PulseHighTime=0;	// pulsetime capture
volatile uint16 PWMxInPeriod =0;	// period time capture

char dispbuff[8];	//LCD display buffer 8 bytes long
uint8 lenstrg;		// result of string lenght
uint8 i=0;			// loop index

int main()
{

    LCD1_Start();			// start LCD display
    LCD1_Position(0,0);
    LCD1_PrintString("Period = ");
    LCD1_Position( 1, 0 );
    LCD1_PrintString("D.C.   = "); 
    
    PeriodISR_Start();		// start poeriod time ISR
    PulsehitimeISR_Start();	// start pulse time ISR
    Counter_Start();		// start measurement counter
	
    CyGlobalIntEnable;      // Uncomment this line to enable global interrupts
    
    for(;;)					// infinity for-loop
	{
      
        LCD1_Position(0,8);
        lenstrg = sprintf (dispbuff,"%i",PWMxInPeriod);
        for(i=0;i<lenstrg;i++)
		{
			 LCD1_PutChar(dispbuff[i]);
		}
			

        LCD1_Position(1,8);
        lenstrg = sprintf (dispbuff,"%i",PulseHighTime);
        for(i=0;i<lenstrg;i++)
		{
			LCD1_PutChar(dispbuff[i]);
		}
		
		//CyDelay(500); // for debug purpose, time to read lcd
    }	// end of infinity for-loop
	
	i='F';		//  for debugging only
}	// end of main

/* [] END OF FILE */
